EDI / X12
Parse, validate, generate, and convert EDI X12 documents
6 endpoints in this category. All require X-API-Key header.
Parse X12 to JSON
/api/ParseX12ToJson
2 tokens
Parse an EDI X12 document into structured JSON with segments and elements.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ediData |
string | required | X12 EDI document as string |
Request Example
{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890*1512345678**01*111111111*DA*9876543210*20210101~TRN*1*12345*1512345678~DTM*405*20210101~N1*PR*INSURANCE COMPANY~N1*PE*PROVIDER NAME*XX*1234567890~SE*8*0001~GE*1*1~IEA*1*000000001~"}
Code Examples
curl -X POST "https://docbutterfly.com/api/ParseX12ToJson" \
-H "X-API-Key: df_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890*1512345678**01*111111111*DA*9876543210*20210101~TRN*1*12345*1512345678~DTM*405*20210101~N1*PR*INSURANCE COMPANY~N1*PE*PROVIDER NAME*XX*1234567890~SE*8*0001~GE*1*1~IEA*1*000000001~"}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-API-Key", "df_your_api_key_here");
var json = @"{""ediData"": ""ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890*1512345678**01*111111111*DA*9876543210*20210101~TRN*1*12345*1512345678~DTM*405*20210101~N1*PR*INSURANCE COMPANY~N1*PE*PROVIDER NAME*XX*1234567890~SE*8*0001~GE*1*1~IEA*1*000000001~""}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://docbutterfly.com/api/ParseX12ToJson", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);import requests
import json
url = "https://docbutterfly.com/api/ParseX12ToJson"
headers = {
"X-API-Key": "df_your_api_key_here",
"Content-Type": "application/json"
}
payload = json.loads('{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890*1512345678**01*111111111*DA*9876543210*20210101~TRN*1*12345*1512345678~DTM*405*20210101~N1*PR*INSURANCE COMPANY~N1*PE*PROVIDER NAME*XX*1234567890~SE*8*0001~GE*1*1~IEA*1*000000001~"}')
response = requests.post(url, headers=headers, json=payload)
response.raise_for_status()
data = response.json()
print(json.dumps(data, indent=2))┌─────────────────────────────────────────────┐
│ Power Automate - HTTP Action │
├─────────────────────────────────────────────┤
│ │
│ Method: POST │
│ URI: https://docbutterfly.com/api/ParseX12ToJson
│ │
│ Headers: │
│ X-API-Key: df_your_api_key_here │
│ Content-Type: application/json │
│ │
│ Body: │
│ {
│ "ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890*1512345678**01*111111111*DA*9876543210*20210101~TRN*1*12345*1512345678~DTM*405*20210101~N1*PR*INSURANCE COMPANY~N1*PE*PROVIDER NAME*XX*1234567890~SE*8*0001~GE*1*1~IEA*1*000000001~"
│ }
│ │
└─────────────────────────────────────────────┘
Steps:
1. Add an HTTP action to your flow
2. Set Method to "POST"
3. Set URI to "https://docbutterfly.com/api/ParseX12ToJson"
4. Add the headers shown above
5. Paste the Body JSON into the Body field
6. Replace placeholder values with dynamic content as neededValidate X12
/api/ValidateX12
1 token
Validate X12 document structure: ISA/IEA envelope, GS/GE groups, ST/SE transaction sets, and segment counts.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ediData |
string | required | X12 EDI document as string |
Request Example
{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"}
Code Examples
curl -X POST "https://docbutterfly.com/api/ValidateX12" \
-H "X-API-Key: df_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-API-Key", "df_your_api_key_here");
var json = @"{""ediData"": ""ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~""}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://docbutterfly.com/api/ValidateX12", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);import requests
import json
url = "https://docbutterfly.com/api/ValidateX12"
headers = {
"X-API-Key": "df_your_api_key_here",
"Content-Type": "application/json"
}
payload = json.loads('{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"}')
response = requests.post(url, headers=headers, json=payload)
response.raise_for_status()
data = response.json()
print(json.dumps(data, indent=2))┌─────────────────────────────────────────────┐
│ Power Automate - HTTP Action │
├─────────────────────────────────────────────┤
│ │
│ Method: POST │
│ URI: https://docbutterfly.com/api/ValidateX12
│ │
│ Headers: │
│ X-API-Key: df_your_api_key_here │
│ Content-Type: application/json │
│ │
│ Body: │
│ {
│ "ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"
│ }
│ │
└─────────────────────────────────────────────┘
Steps:
1. Add an HTTP action to your flow
2. Set Method to "POST"
3. Set URI to "https://docbutterfly.com/api/ValidateX12"
4. Add the headers shown above
5. Paste the Body JSON into the Body field
6. Replace placeholder values with dynamic content as neededGenerate X12 from JSON
/api/GenerateX12FromJson
2 tokens
Build an X12 EDI document from structured JSON. Accepts header, functional groups, transactions, and segments.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ediJson |
object | required | Structured EDI: {header, functionalGroups: [{header, transactions: [{header, segments: [{tag, elements}]}]}]} |
options |
object | optional | Serialization options: {elementDelimiter, segmentTerminator, endOfLine} |
Request Example
{"ediJson": {"header": ["00", " ", "00", " ", "ZZ", "SENDER ", "ZZ", "RECEIVER ", "210101", "1253", "^", "00501", "000000001", "0", "P", ":"], "functionalGroups": [{"header": ["HP", "SENDER", "RECEIVER", "20210101", "1253", "1", "X", "005010X221A1"], "transactions": [{"header": ["835", "0001"], "segments": [{"tag": "BPR", "elements": ["I", "500.00", "C", "ACH"]}]}]}]}}
Code Examples
curl -X POST "https://docbutterfly.com/api/GenerateX12FromJson" \
-H "X-API-Key: df_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"ediJson": {"header": ["00", " ", "00", " ", "ZZ", "SENDER ", "ZZ", "RECEIVER ", "210101", "1253", "^", "00501", "000000001", "0", "P", ":"], "functionalGroups": [{"header": ["HP", "SENDER", "RECEIVER", "20210101", "1253", "1", "X", "005010X221A1"], "transactions": [{"header": ["835", "0001"], "segments": [{"tag": "BPR", "elements": ["I", "500.00", "C", "ACH"]}]}]}]}}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-API-Key", "df_your_api_key_here");
var json = @"{""ediJson"": {""header"": [""00"", "" "", ""00"", "" "", ""ZZ"", ""SENDER "", ""ZZ"", ""RECEIVER "", ""210101"", ""1253"", ""^"", ""00501"", ""000000001"", ""0"", ""P"", "":""], ""functionalGroups"": [{""header"": [""HP"", ""SENDER"", ""RECEIVER"", ""20210101"", ""1253"", ""1"", ""X"", ""005010X221A1""], ""transactions"": [{""header"": [""835"", ""0001""], ""segments"": [{""tag"": ""BPR"", ""elements"": [""I"", ""500.00"", ""C"", ""ACH""]}]}]}]}}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://docbutterfly.com/api/GenerateX12FromJson", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);import requests
import json
url = "https://docbutterfly.com/api/GenerateX12FromJson"
headers = {
"X-API-Key": "df_your_api_key_here",
"Content-Type": "application/json"
}
payload = json.loads('{"ediJson": {"header": ["00", " ", "00", " ", "ZZ", "SENDER ", "ZZ", "RECEIVER ", "210101", "1253", "^", "00501", "000000001", "0", "P", ":"], "functionalGroups": [{"header": ["HP", "SENDER", "RECEIVER", "20210101", "1253", "1", "X", "005010X221A1"], "transactions": [{"header": ["835", "0001"], "segments": [{"tag": "BPR", "elements": ["I", "500.00", "C", "ACH"]}]}]}]}}')
response = requests.post(url, headers=headers, json=payload)
response.raise_for_status()
data = response.json()
print(json.dumps(data, indent=2))┌─────────────────────────────────────────────┐
│ Power Automate - HTTP Action │
├─────────────────────────────────────────────┤
│ │
│ Method: POST │
│ URI: https://docbutterfly.com/api/GenerateX12FromJson
│ │
│ Headers: │
│ X-API-Key: df_your_api_key_here │
│ Content-Type: application/json │
│ │
│ Body: │
│ {
│ "ediJson": {
│ "header": [
│ "00",
│ " ",
│ "00",
│ " ",
│ "ZZ",
│ "SENDER ",
│ "ZZ",
│ "RECEIVER ",
│ "210101",
│ "1253",
│ "^",
│ "00501",
│ "000000001",
│ "0",
│ "P",
│ ":"
│ ],
│ "functionalGroups": [
│ {
│ "header": [
│ "HP",
│ "SENDER",
│ "RECEIVER",
│ "20210101",
│ "1253",
│ "1",
│ "X",
│ "005010X221A1"
│ ],
│ "transactions": [
│ {
│ "header": [
│ "835",
│ "0001"
│ ],
│ "segments": [
│ {
│ "tag": "BPR",
│ "elements": [
│ "I",
│ "500.00",
│ "C",
│ "ACH"
│ ]
│ }
│ ]
│ }
│ ]
│ }
│ ]
│ }
│ }
│ │
└─────────────────────────────────────────────┘
Steps:
1. Add an HTTP action to your flow
2. Set Method to "POST"
3. Set URI to "https://docbutterfly.com/api/GenerateX12FromJson"
4. Add the headers shown above
5. Paste the Body JSON into the Body field
6. Replace placeholder values with dynamic content as neededIdentify EDI Document
/api/IdentifyEdiDocument
1 token
Detect X12 document type (850 Purchase Order, 837 Claim, 835 Remittance, etc.), version, sender, and receiver.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ediData |
string | required | X12 EDI document as string |
Request Example
{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"}
Code Examples
curl -X POST "https://docbutterfly.com/api/IdentifyEdiDocument" \
-H "X-API-Key: df_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-API-Key", "df_your_api_key_here");
var json = @"{""ediData"": ""ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~""}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://docbutterfly.com/api/IdentifyEdiDocument", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);import requests
import json
url = "https://docbutterfly.com/api/IdentifyEdiDocument"
headers = {
"X-API-Key": "df_your_api_key_here",
"Content-Type": "application/json"
}
payload = json.loads('{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"}')
response = requests.post(url, headers=headers, json=payload)
response.raise_for_status()
data = response.json()
print(json.dumps(data, indent=2))┌─────────────────────────────────────────────┐
│ Power Automate - HTTP Action │
├─────────────────────────────────────────────┤
│ │
│ Method: POST │
│ URI: https://docbutterfly.com/api/IdentifyEdiDocument
│ │
│ Headers: │
│ X-API-Key: df_your_api_key_here │
│ Content-Type: application/json │
│ │
│ Body: │
│ {
│ "ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"
│ }
│ │
└─────────────────────────────────────────────┘
Steps:
1. Add an HTTP action to your flow
2. Set Method to "POST"
3. Set URI to "https://docbutterfly.com/api/IdentifyEdiDocument"
4. Add the headers shown above
5. Paste the Body JSON into the Body field
6. Replace placeholder values with dynamic content as neededConvert X12 to CSV
/api/ConvertX12ToCsv
2 tokens
Parse X12 and flatten all segments into CSV rows with transaction code, segment tag, and elements.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ediData |
string | required | X12 EDI document as string |
includeHeaders |
boolean | optional |
Include CSV header row
(default: true)
|
Request Example
{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~", "includeHeaders": true}
Code Examples
curl -X POST "https://docbutterfly.com/api/ConvertX12ToCsv" \
-H "X-API-Key: df_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~", "includeHeaders": true}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-API-Key", "df_your_api_key_here");
var json = @"{""ediData"": ""ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"", ""includeHeaders"": true}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://docbutterfly.com/api/ConvertX12ToCsv", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);import requests
import json
url = "https://docbutterfly.com/api/ConvertX12ToCsv"
headers = {
"X-API-Key": "df_your_api_key_here",
"Content-Type": "application/json"
}
payload = json.loads('{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~", "includeHeaders": true}')
response = requests.post(url, headers=headers, json=payload)
response.raise_for_status()
data = response.json()
print(json.dumps(data, indent=2))┌─────────────────────────────────────────────┐
│ Power Automate - HTTP Action │
├─────────────────────────────────────────────┤
│ │
│ Method: POST │
│ URI: https://docbutterfly.com/api/ConvertX12ToCsv
│ │
│ Headers: │
│ X-API-Key: df_your_api_key_here │
│ Content-Type: application/json │
│ │
│ Body: │
│ {
│ "ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~",
│ "includeHeaders": true
│ }
│ │
└─────────────────────────────────────────────┘
Steps:
1. Add an HTTP action to your flow
2. Set Method to "POST"
3. Set URI to "https://docbutterfly.com/api/ConvertX12ToCsv"
4. Add the headers shown above
5. Paste the Body JSON into the Body field
6. Replace placeholder values with dynamic content as neededConvert X12 to HTML
/api/ConvertX12ToHtml
2 tokens
Parse X12 and render as a styled, human-readable HTML report with segment details.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ediData |
string | required | X12 EDI document as string |
title |
string | optional | Report title |
Request Example
{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~", "title": "835 Remittance Report"}
Code Examples
curl -X POST "https://docbutterfly.com/api/ConvertX12ToHtml" \
-H "X-API-Key: df_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~", "title": "835 Remittance Report"}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-API-Key", "df_your_api_key_here");
var json = @"{""ediData"": ""ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~"", ""title"": ""835 Remittance Report""}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://docbutterfly.com/api/ConvertX12ToHtml", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);import requests
import json
url = "https://docbutterfly.com/api/ConvertX12ToHtml"
headers = {
"X-API-Key": "df_your_api_key_here",
"Content-Type": "application/json"
}
payload = json.loads('{"ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~", "title": "835 Remittance Report"}')
response = requests.post(url, headers=headers, json=payload)
response.raise_for_status()
data = response.json()
print(json.dumps(data, indent=2))┌─────────────────────────────────────────────┐
│ Power Automate - HTTP Action │
├─────────────────────────────────────────────┤
│ │
│ Method: POST │
│ URI: https://docbutterfly.com/api/ConvertX12ToHtml
│ │
│ Headers: │
│ X-API-Key: df_your_api_key_here │
│ Content-Type: application/json │
│ │
│ Body: │
│ {
│ "ediData": "ISA*00* *00* *ZZ*SENDER *ZZ*RECEIVER *210101*1253*^*00501*000000001*0*P*:~GS*HP*SENDER*RECEIVER*20210101*1253*1*X*005010X221A1~ST*835*0001~BPR*I*500.00*C*ACH*CTX*01*999999999*DA*1234567890~SE*3*0001~GE*1*1~IEA*1*000000001~",
│ "title": "835 Remittance Report"
│ }
│ │
└─────────────────────────────────────────────┘
Steps:
1. Add an HTTP action to your flow
2. Set Method to "POST"
3. Set URI to "https://docbutterfly.com/api/ConvertX12ToHtml"
4. Add the headers shown above
5. Paste the Body JSON into the Body field
6. Replace placeholder values with dynamic content as needed